function [chi_sum,x_index]=get_chi_weight_rank(data,chi_single)
% rank genes according to integrated weighted score 
y=unique(data(:,1));
m=length(y);
n=size(data,2)-1;
for r=1:m
    class_num(r)=size(find(data(:,1)==y(r)),1);
end
chi_sum=chi_single;
for i=1:n
    for j=i+1:n    
       chi_square=0;
       tabel_rx2=zeros(m+1,3);
       for r=1:m  
        data_ij=data(data(:,1)==y(r),[i+1 j+1]);
        greater=length(find(data_ij(:,1)>data_ij(:,2)));
        equal=length(find(data_ij(:,1)==data_ij(:,2)));
        tabel_rx2(r,1)=greater+equal*0.5;
        tabel_rx2(r,2)=class_num(r)-tabel_rx2(r,1);
       end
        tabel_rx2(m+1,:)=sum(tabel_rx2,1);
        tabel_rx2(:,3)=sum(tabel_rx2,2);       
       for r=1:m
           for c=1:2
              chi_square=chi_square+tabel_rx2(r,c)^2/(tabel_rx2(r,3)*tabel_rx2(m+1,c));
           end
       end
       chi_square=(chi_square-1)*tabel_rx2(m+1,3); 
       if isnan(chi_square)
           chi_square=0;
       end
  %
       if chi_single(i)==0 && chi_single(j)==0
           chi_single(i)=1;
           chi_single(j)=1;
       end    
           
       chi_sum(i)=chi_sum(i)+chi_square*chi_single(i)/(chi_single(i)+chi_single(j));
       chi_sum(j)=chi_sum(j)+chi_square*chi_single(j)/(chi_single(i)+chi_single(j));      
    end
end
[~,x_index]=sort(chi_sum,'descend');
end