function [loo_acc,p]=tsn_loocv_rate(train)
%compute the LOOCV accuracy based on  -DC  
y_label=unique(train(:,1));
class_num=length(y_label);
test_num=size(train,1);
for i=1:test_num
    for j=1:class_num
    tmp=train;
    tmp(i,1)=y_label(j);
    tmp_chi=get_chi_square(tmp);
    chi(j)=sum(tmp_chi(:));
    end
    t=find(y_label==train(i,1));
    chi_t=chi;
    chi_t(t)=[];
    mistake_chi=sum(chi_t(:));
    rate(i)=class_num-1-mistake_chi/chi(t);
    m=max(chi);
    id=find(chi==m);
    m_num=size(id,2);
    rnd_id=fix(rand*m_num+1);
    predict_y(i,1)=y_label(id(rnd_id)); 
end
p=sum(rate)/test_num;
loo_acc=sum((train(:,1)-predict_y(:,1))==0)/test_num;
end
